Subject: Re: [PATCH] drivers:net:wireless: Add proper locking for the function, b43_op_beacon_set_tim in main.c

From: nick <[email-masked]>
Date: Mon, 05 Jan 2015 12:16:30 -0500

Kalle,
That's fine. On the other hand I am interested in the
reasons why this patch was dropped so I can send in a
version 2 of this patch.
Regards Nick 

On 2015-01-05 04:29 AM, Kalle Valo wrote:
> Nicholas Krause <[email-masked]> writes:
> 
>> This adds proper locking for the function, b43_op_beacon_set_tim in
>> main.c by using the mutex lock in the structure pointer wl, as
>> embedded into this pointer as a mutex in order to protect against
>> multiple access to the pointer wl when updating the templates for this
>> pointer in the function, b43_update_templates internally in the
>> function, b43_op_beacon_set_tim.
>>
>> Signed-off-by: Nicholas Krause <[email-masked]>
> 
> Based on the discussion I have dropped this patch.
>